/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         			TotalTextArea = 2;
         //RESPUESTAS -- CAMBIAR VALORES
                  sym.setVariable("Respuesta_1", "Simón el bobito");
                  sym.setVariable("Respuesta_2", "Rafael Pombo");
                  sym.setVariable("Respuesta_3", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_4", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_5", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_6", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_7", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_8", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.getSymbol("pop_1").play(1);
         sym.$("scena").fadeOut("slow");
         sym.$("TextArea_1").fadeOut("slow");
         sym.$("TextArea_2").fadeOut("slow");
         sym.$("hotspot_1").hide();
         sym.$("descripcion").fadeOut("slow");
         sym.getSymbol("pop_1").getSymbol("bt_cerrar").play("up");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'poeta_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("poeta_1");
   //Edge symbol end:'poeta_1'

   //=========================================================
   
   //Edge symbol: 'poeta_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("poeta_2");
   //Edge symbol end:'poeta_2'

   //=========================================================
   
   //Edge symbol: 'scena'
   (function(symbolName) {   
   
   })("scena");
   //Edge symbol end:'scena'

   //=========================================================
   
   //Edge symbol: 'poema'
   (function(symbolName) {   
   
   })("poema");
   //Edge symbol end:'poema'

   //=========================================================
   
   //Edge symbol: 'parpados'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2940, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("parpados");
   //Edge symbol end:'parpados'

   //=========================================================
   
   //Edge symbol: 'cabezza_poeta'
   (function(symbolName) {   
   
   })("cabezza_poeta");
   //Edge symbol end:'cabezza_poeta'

   //=========================================================
   
   //Edge symbol: 'tronco'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("tronco");
   //Edge symbol end:'tronco'

   //=========================================================
   
   //Edge symbol: 'manos_poeta'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("manos_poeta");
   //Edge symbol end:'manos_poeta'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("Text").css("overflow-y","scroll");
         sym.$("Text").css("overflow-x","hidden");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("scena").fadeIn("slow");
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("TextArea_1").fadeIn("slow");
         sym.getComposition().getStage().$("TextArea_2").fadeIn("slow");
         sym.getComposition().getStage().$("descripcion").fadeIn("slow");

      });
      //Edge binding end

      

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'pergamino'
   (function(symbolName) {   
   
   })("pergamino");
   //Edge symbol end:'pergamino'

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("pop_1").$("copyright_dialogo").show();
         
         

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot2}", "click", function(sym, e) {
         sym.stop("up");
         sym.getComposition().getStage().getSymbol("pop_1").$("copyright_dialogo").hide();

      });
      //Edge binding end

   })("bt_copyright");
   //Edge symbol end:'bt_copyright'

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'copy_dialogo'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_HotSpot}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("pop_1").getSymbol("bt_copyright").stop("up");
         
         

      });
      //Edge binding end

   })("copyright_dialogo");
   //Edge symbol end:'copyright_dialogo'

})(jQuery, AdobeEdge, "EDGE-1010687340");